Bug 270579 - Images previously selected persist in the tool window list [patch]
Summary: Images previously selected persist in the tool window list [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-WebService-MediaWiki (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-10 12:14 UTC by Guillaume Paumier
Modified: 2018-02-04 22:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments
patch to clear the window on close (329 bytes, patch)
2011-04-10 12:16 UTC, Guillaume Paumier
Details
patch for wmwindow.cpp (374 bytes, patch)
2011-04-10 13:51 UTC, Guillaume Paumier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Paumier 2011-04-10 12:14:23 UTC
Version:           2.0.0
OS:                Linux

Images are not cleared from the list when the user closes the plugin window, so they appear again the next time the window is opened.

The attached patch clears the list of images when the window closes.

Reproducible: Always
Comment 1 Guillaume Paumier 2011-04-10 12:16:06 UTC
Created attachment 58762 [details]
patch to clear the window on close

For some reason the attachment didn't got through.
Comment 2 Guillaume Paumier 2011-04-10 13:51:49 UTC
Created attachment 58766 [details]
patch for wmwindow.cpp

The previous patch fixed it for the X button, but not for the "close" button. This new patch fixes it for both by moving the list cleanup to when the widget is reopened, instead of when it's closed.
Comment 3 caulier.gilles 2011-04-10 15:14:39 UTC
Git commit b1e17256abdd3ca3f098ad03dd13b65dd8bfda96 by Gilles Caulier.
Committed on 10/04/2011 at 15:19.
Pushed by cgilles into branch 'master'.

apply patch #58766 from Guillame Paumier
BUGS: 270579

M  +1    -0    mediawiki/wmwindow.cpp     

http://commits.kde.org/kipi-plugins/b1e17256abdd3ca3f098ad03dd13b65dd8bfda96